package cz.moneta.test.dsl.hypos.enums;

public enum DocumentState {
    PREPARED("0"),
    GENERATED("1"),
    VERIFIED("2");

    private final String documentState;

    DocumentState(String documentState) {
        this.documentState = documentState;
    }

    public String getValue() {
        return documentState;
    }

    public static String getNameByValue(String value) {
        for (DocumentState state : DocumentState.values()) {
            if (state.getValue().equals(value)) {
                return state.name();
            }
        }
        return null;
    }
}